#
# spec file for package libmpeg2 (Version 0.4.0b)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         libmpeg2
URL:          http://libmpeg2.sf.net/
License:      GPL, Other License(s), see package
Group:        System/Libraries
Autoreqprov:  on
Version:      0.4.0b
Release:      21
Summary:      MPEG2 video decoder library
Source:       mpeg2dec-%{version}.tar.bz2
Patch1:       mpeg2dec-autoconf.diff
Patch2:       mpeg2dec-x86_64.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
libmpeg2 is a free library for decoding mpeg-2 and mpeg-1 video
streams. It is released under the terms of the GPL license.



Authors:
--------
    Aaron Holtzman <aholtzma@ess.engr.uvic.ca>
    Michel Lespinasse <walken@zoy.org>

%package      devel
Summary:      MPEG2 video decoder library - devel package
Group:        System/Libraries

%description  devel
libmpeg2 is a free library for decoding mpeg-2 and mpeg-1 video
streams. It is released under the terms of the GPL license.



Authors:
--------
    Aaron Holtzman <aholtzma@ess.engr.uvic.ca>
    Michel Lespinasse <walken@zoy.org>

%package      -n mpeg2dec
Summary:      MPEG2 video decoder library - sample application
Group:        System/Libraries

%description  -n mpeg2dec
This is a simple mpeg player shipped with the libmpeg2 library as
testbed and sample application.



Authors:
--------
    Aaron Holtzman <aholtzma@ess.engr.uvic.ca>
    Michel Lespinasse <walken@zoy.org>

%prep
%setup -q -n mpeg2dec-0.4.0
%patch1 -p1 -b .auto
%patch2

%build
%{?suse_update_config -ft}
autoreconf -vif
export CFLAGS="$RPM_OPT_FLAGS"
./configure	--prefix=/usr		\
		--libdir=%{_libdir}	\
		--mandir=%{_mandir}	\
		--enable-shared
make

%install
test "%{buildroot}" != "" -a "%{buildroot}" != "/" &&\
	rm -rf "%{buildroot}"
make DESTDIR="%{buildroot}" install
gzip %{buildroot}%{_mandir}/man*/*
echo "### <<< files"
find %{buildroot} -type f -print	\
	| sed -e 's|%{buildroot}|    |'
echo "### >>> files"

%files
%defattr(-,root,root)
%doc [A-LN-Z]*
%{_libdir}/libmpeg2*.so.*

%files devel
%defattr(-,root,root)
%doc doc/*.txt doc/*.c
%{_includedir}/mpeg2dec
%{_libdir}/libmpeg2*.la
%{_libdir}/libmpeg2*.a
%{_libdir}/libmpeg2*.so
%{_libdir}/pkgconfig/libmpeg2*.pc

%files -n mpeg2dec
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*.1*

%clean
test "%{buildroot}" != "" -a "%{buildroot}" != "/" &&\
	rm -rf "%{buildroot}"

%changelog -n libmpeg2
* Fri Aug 20 2004 - ro@suse.de
- fix build on x86_64
* Wed Apr 21 2004 - kraxel@suse.de
- fix build failure.
* Mon Mar 01 2004 - kraxel@suse.de
- initial package.
